Bug 1546863 - pan fails to start after latest rawhide update to the package
Summary: pan fails to start after latest rawhide update to the package
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pan
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alexander Dalloz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-19 20:21 UTC by stan
Modified: 2018-05-30 14:08 UTC (History)
6 users (show)

Fixed In Version: pan-0.145-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-30 14:08:36 UTC
Type: Bug


Attachments (Terms of Use)

Description stan 2018-02-19 20:21:25 UTC
Description of problem:
Pan no longer starts


Version-Release number of selected component (if applicable):
Name        : pan
Epoch       : 1
Version     : 0.144
Release     : 2.fc28
Architecture: x86_64

How reproducible:
every time

Steps to Reproduce:
1.  Install latest pan
2.  Try to start it in X
3.

Actual results:
$ /usr/bin/pan
GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name news.pan.NZB was not provided by any .service files
/usr/include/c++/8/bits/stl_vector.h:1021: std::vector<_Tp, _Alloc>::const_reference std::vector<_Tp, _Alloc>::front() const [with _Tp = const pan::Article*; _Alloc = std::allocator<const pan::Article*>; std::vector<_Tp, _Alloc>::const_reference = const pan::Article* const&]: Assertion '__builtin_expect(!this->empty(), true)' failed.
Aborted (core dumped)

Expected results:
pan starts

Additional info:

Comment 1 Petr Kovar 2018-02-20 11:21:00 UTC
Thanks for the bug report.

Can you try renaming your ~/.pan2 user data directory and start Pan again?

Comment 2 Fedora End Of Life 2018-02-20 15:28:11 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 3 Yanko Kaneti 2018-02-20 15:32:00 UTC
I can reproduce the same with an empty config + adding news.gmane.org the clicking on the first unsubscribed group

Comment 4 stan 2018-02-20 20:42:30 UTC
Thanks for your help.  If I move the configuration directory out of the way, and start fresh, pan comes up.  I cheated and moved the servers.xml from the old configuration into the new configuration, and it recognizes them, and downloads groups.

However, I have the same experience as Yanko when I try to subscribe to a group (I used gmane.linux.redhat.devel).  Pan immediately crashes.

Comment 5 stan 2018-02-21 18:43:32 UTC
I downgraded to the .144-1 release from koji and everything works as normal.  So, this is something different in the package and not something different in the environment.

Comment 6 Michael Parson 2018-05-18 19:49:43 UTC
This still seems to be happening with the released and patched up to date Fedora 28.  The program starts, downloads new headers, but when I try to go into a group, it immediately crashes.

Comment 7 Fedora Update System 2018-05-20 21:53:49 UTC
pan-0.145-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-15aa4361f6

Comment 8 Fedora Update System 2018-05-21 17:15:09 UTC
pan-0.145-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-15aa4361f6

Comment 9 stan 2018-05-21 22:49:44 UTC
Just got this update.  So far, it seems to be working flawlessly.  Thank you very much.

Comment 10 Fedora Update System 2018-05-30 14:08:36 UTC
pan-0.145-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.